## org.eclipse.datatools.connectivity.ui.wizards
Class NewConnectionProfileWizardPage

    java.lang.Object
      BaseWizardPage
          org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizardPage

public class NewConnectionProfileWizardPage
extends BaseWizardPage

Author:
  shongxum
See Also:
  Serialized Form

Constructor Summary
`NewConnectionProfileWizardPage()` Constructor
`NewConnectionProfileWizardPage(java.lang.String name)` Constructor

Method Summary
`void` `createControl(Composite parent)`
`boolean` `getAutoConnect()`
`IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getProfileDescription()`
`java.lang.String` `getProfileName()`
`IConnectionProfile` `getRepository()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`java.util.List` `getSummaryData()`
`void` `setAutoConnect(boolean selection)`
`void` `setProfileDescription(java.lang.String desc)`
`void` `setProfileName(java.lang.String name)`
`void` `setVisible(boolean visible)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewConnectionProfileWizardPage

    public NewConnectionProfileWizardPage()

  Constructor

### NewConnectionProfileWizardPage

    public NewConnectionProfileWizardPage(java.lang.String name)

  Constructor

Parameters:
  `name` -

Method Detail

### createControl

    public void createControl(Composite parent)

### setVisible

    public void setVisible(boolean visible)

### getProfileName

    public java.lang.String getProfileName()

### setProfileName

    public void setProfileName(java.lang.String name)

### getProfileDescription

    public java.lang.String getProfileDescription()

### setProfileDescription

    public void setProfileDescription(java.lang.String desc)

### getAutoConnect

    public boolean getAutoConnect()

### setAutoConnect

    public void setAutoConnect(boolean selection)

### getSummaryData

    public java.util.List getSummaryData()

### getRepository

    public IConnectionProfile getRepository()

### getContext

    public IContext getContext(java.lang.Object target)

### getContextChangeMask

    public int getContextChangeMask()

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.